Bug 769656 - traceback during configserver startup
Summary: traceback during configserver startup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-configserver
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
Assignee: Dan Radez
QA Contact: dgao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-21 16:01 UTC by dgao
Modified: 2012-08-30 17:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-30 17:13:25 UTC


Attachments (Terms of Use)

Description dgao 2011-12-21 16:01:45 UTC
in thin.log


>> Writing PID to /var/run/aeolus-configserver/thin.pid
>> Changing process privilege to aeolus:aeolus
>> Exiting!
/usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/daemonizing.rb:158:in `delete': Permission denied - /var/run/aeolus-configserver/thin.pid (Errno::EACCES)
	from /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/daemonizing.rb:158:in `remove_pid_file'
	from /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/daemonizing.rb:59:in `daemonize'
	from /usr/bin/thin:19
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require': no such file to load -- common_config (LoadError)
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
	from config.ru:3
	from /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/builder.rb:51:in `instance_eval'
	from /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/builder.rb:51:in `initialize'
	from config.ru:1:in `new'
	from config.ru:1

[root@configserver-qe ~]# ls -larth /var/run/aeolus-configserver/thin.pid 
-rw-r--r--. 1 root root 5 Dec 21 11:00 /var/run/aeolus-configserver/thin.pid

Comment 1 Joe Vlcek 2011-12-21 21:33:04 UTC
1 - A new file, common_config.rb is in the source gate but is not delivered
    in the RPM. It likely needs to be added to the .spec file.

2 - When creating directory /var/run/aeolus-configserver I "think" the
    file protections should be opened. Not sure.

3 - The @VERSION@ has moved from config.in.ru to common_config.rb
    So the GENERATED_FILES section of the Rakefile will need to be updated
    to generate common_config.rb from common_config.in.rb

A temporary work around could be to manually copy common_config.rb
from the source gate into a config server and restart the config
server service.

$ git clone git@github.com:aeolusproject/audrey.git
$ cp audrey/configserver/src/common_config.rb \
  <running Config Server>:/usr/share/aeolus-configserver

Then on the Running Config Server:
$ chmod 644 /usr/share/aeolus-configserver/common_config.rb
$ /etc/init.d/aeolus-configserver stop
$ /etc/init.d/aeolus-configserver start

Comment 2 Greg Blomquist 2011-12-22 15:09:51 UTC
Assigning to Dan.

Dan, can you get the spec updated to include common_config?

Comment 3 Dan Radez 2012-01-03 14:56:53 UTC
7675925b9d396cb5137858e39551bcf77c061f62

Comment 4 dgao 2012-01-03 18:37:27 UTC
Verified

[root@configserver-qe ~]# service aeolus-configserver restart
Restarting aeolus-configserver (via systemctl):            [  OK  ]
[root@configserver-qe ~]# 

thin.log

>> Writing PID to /var/run/aeolus-configserver/thin.pid
>> Changing process privilege to aeolus:aeolus
>> Thin web server (v1.2.11 codename Bat-Shit Crazy)
>> Maximum connections set to 1024
>> Listening on 127.0.0.1:4567, CTRL+C to stop

Comment 5 wes hayutin 2012-01-12 16:15:44 UTC
bugs in verified or on_qa moving off tracker


Note You need to log in before you can comment on or make changes to this bug.